#include <math.h>
#include "contact.h"

void
contact_defaults(struct contact *c)
{
	int d;

	c->active = 0;
	c->i = c->j = 0;
	c->age = NAN;
	c->overlap = NAN;
	for (d = 0; d < 3; d++) {
		c->centerdist[d] = NAN;
		c->tandisp[d] = NAN;
		c->stress[d] = NAN;
	}
}

void
contact_new(struct contact *c, size_t i, size_t j)
{
	int d;

	c->active = 1;
	c->i = i;
	c->j = j;
	c->age = 0.0;
	for (d = 0; d < 3; d++) {
		c->tandisp[d] = 0.0;
	}
}
