#ifndef GRANULAR_GRAINS_
#define GRANULAR_GRAINS_

#include "grain.h"

void grains_print(FILE *stream, const struct grain *grains, size_t ng);
void grains_print_vtk(FILE *stream, const struct grain *grains, size_t ng);
void grains_print_energy(FILE *stream, const struct grain *grains, size_t ng);

double sim_minimum_grain_edge(const struct grain *grains, size_t ng, int d);
double sim_maximum_grain_edge(const struct grain *grains, size_t ng, int d);
void grains_interact(struct grain *g_i, struct grain *g_j, int nc, double dt);

#endif
