#include <stdlib.h>
#include <unistd.h>
#include <err.h>
#include "granular.h"

int
main(void)
{
	struct simulation sim = sim_new();

#ifdef __OpenBSD__
	if (pledge("stdio", NULL) == -1)
		err(2, "pledge");
#endif

	sim_read_grains(&sim, stdin);
	sim_print_grains_vtk(&sim, stdout);
	sim_free(&sim);

	return 0;
}
