#ifndef GRANULAR_PACKING_
#define GRANULAR_PACKING_

#include "grain.h"

size_t rectangular_packing(struct grain **grains,
                           size_t n[3],
                           double radius_min, double radius_max,
                           double (*gsd)(double min, double max),
                           double padding_factor,
                           double origo[3]);

size_t triangular_packing(struct grain **grains,
                          size_t n[3],
                          double radius_min, double radius_max,
                          double (*gsd)(double min, double max),
                          double padding_factor,
                          double origo[3]);

/*struct grain ** irregular_packing_2d(int nx, int ny,
                     double radius_min, double radius_max);*/

#endif
